Summary: traces the route packets take over a TCP/IP network
Name: traceroute
Version: 1.4a5
Release: 3
Copyright: BSD
Group: Networking/Utilities
Source: ftp://ftp.ee.lbl.gov/traceroute-1.4a5.tar.Z
Patch: traceroute-1.4a5-fix.patch
BuildRoot: /var/tmp/traceroute-build

%changelog

* Mon Oct 20 1997 Christohper Seawood <cls@seawood.org>

- Fixed the problem of traceroute using the loopback device when using
  multiple network interfaces.

- Added BuildRoot

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>

- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Traceroute prints the route packets take across a TCP/IP. The names (or
IP numbers if names are not available) of the machines which are routing
packets from the machine traceroute is running on to the destination 
machine are printed, along with the time is took to receive a packet
acknowledgement from that machine. This tool can be very helpfull in
diagnosing networking problems.

%prep
%setup
%patch -p1
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%build
make 

%install
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8

make install prefix=${RPM_BUILD_ROOT}/usr
make install-man prefix=${RPM_BUILD_ROOT}/usr
# this is set as 4555 by make install, which I don't really like
chmod 4755 ${RPM_BUILD_ROOT}/usr/sbin/traceroute

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
/usr/sbin/traceroute
/usr/man/man8/traceroute.8
